﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;

public partial class WebUserControl1 : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("label", typeof(string));
        dt.Columns.Add("cost", typeof(double));
        dt.Columns.Add("qty", typeof(double));
        dt.Rows.Add("item 1", 29, 100);
        dt.Rows.Add("item 2", 33, 140);
        dt.Rows.Add("item 3", 28, 150);
        dt.Rows.Add("item 4", 35, 170);

        ultraChart1.ChartType = ChartType.ColumnChart3D;

        //option 2: bind data to the series
        NumericSeries series = new NumericSeries();
        series.Data.DataSource = dt;
        series.Data.LabelColumn = "label";
        series.Data.ValueColumn = "cost";
        series.DataBind();
        ultraChart1.Series.Add(series);
        ultraChart1.Data.DataBind();
    }
}